#
# spec file for package python-mysql (Version 1.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           python-mysql
BuildRequires:  mysql-devel python-devel
License:        GPL
Group:          Development/Libraries/Python
Autoreqprov:    on
Version:        1.2.0
Release:        17.2
Source0:        MySQL-python-%{version}.tar.bz2
URL:            http://sourceforge.net/projects/mysql-python
Summary:        An Interface to the Popular MySQL Database Server for Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
MySQLdb is an interface to the popular MySQL database server for
Python. The design goals are:

-     Compliance with the Python database API version 2.0

-     Thread-safety

-     Thread-friendliness (threads will not block each other)

-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface written
by Joe Skinner and others. However, the older version is a) not
thread-friendly, b) written for MySQL 3.21, and c) apparently not
actively maintained. No code from that version is used in MySQLdb.
MySQLdb is free software.



Authors:
--------
    Andy Dustman <andy@dustman.net>

%debug_package
%prep
%setup -n MySQL-python-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" 
export mysqlversion="$(mysql_config --version)"
export mysqlclient="mysqlclient_r"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES 
%defattr(-, root, root)
%doc doc/* README GPL ChangeLog

%changelog -n python-mysql
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb 09 2005 - mcihar@suse.cz
- update to 1.2.0
* Fri Jan 28 2005 - mcihar@suse.cz
- update to 1.1.9 (MySQL 4.1 support)
* Wed Aug 04 2004 - mcihar@suse.cz
- updated to 1.1.1
* Wed May 19 2004 - mcihar@suse.cz
- fixed lib64 build
* Wed May 19 2004 - mcihar@suse.cz
- update to 1.1.0
* Tue Mar 02 2004 - mcihar@suse.cz
- drop python 2.1 support
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Tue Dec 16 2003 - mcihar@suse.cz
- updated to 0.9.3a2:
  * Add some support for Python 2.3 datetime classes.
  * Removed some casts in _mysql_init() that caused problems with
  Python 2.3. The type for tp_free was changed from destructor
  to freefunc. Removing the casts make both 2.2 and 2.3 happy.
  * Fixed the bug that prevented member access.
  * Embedded server support. Can't get it use InnoDB tables yet.
  However, MyISAM (default) tables seem to work fine.
- one source package for both python versions
- added few more files to docs
* Mon Aug 11 2003 - mcihar@suse.cz
- builds on lib64
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 0.9.2
* Mon Jun 16 2003 - mcihar@suse.cz
- use record-rpm
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Wed Jan 22 2003 - mcihar@suse.cz
- using build root
- file list is correct on lib64 arches
* Tue Jan 15 2002 - ro@suse.de
- up to 0.9.1 to make it build on python-2.2
* Sat Dec 29 2001 - schwab@suse.de
- Add mysql-shared to neededforbuild.
* Thu Nov 01 2001 - vinil@suse.cz
- initial version 0.9.0
